# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'alarmable/version'

Gem::Specification.new do |spec|
  spec.name          = 'alarmable'
  spec.version       = Alarmable::VERSION
  spec.authors       = ['Hermann Mayer']
  spec.email         = ['hermann.mayer@hausgold.de']

  spec.summary       = 'A reusable alarm extension to Active Record models'
  spec.description   = 'This is a reusable alarm concern for Active Record' \
                       'models. It adds support for the automatic maintenance' \
                       'of Active Job\'s which are scheduled for the given' \
                       'alarms.'

  spec.homepage      = 'https://github.com/hausgold/alarmable'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'activejob', '>=3', '<6'
  spec.add_dependency 'activejob-cancel', '~> 0.3'
  spec.add_dependency 'activerecord', '>=3', '<6'
  spec.add_dependency 'activesupport', '>=3', '<6'
  spec.add_dependency 'hashdiff', '~> 0.3.7'

  spec.add_development_dependency 'appraisal'
  spec.add_development_dependency 'bundler', '>= 1.16', '< 3'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'pg', '~> 0.18'
  spec.add_development_dependency 'simplecov', '~> 0.15'
end
